/*package org.ntlab.acanthus_client.views.animation;

import androidx.lifecycle.ViewModel;

import org.ntlab.acanthus_client.Acanthus;
import org.ntlab.acanthus_client.entities.Stroke;

import retrofit2.Retrofit;

public class AnimationViewModel extends ViewModel {
    private Retrofit retrofit;
    private Acanthus acanthus;
    // getStrokes
    public void getAnimationStrokes() {
        Stroke stroke = retrofit.create(Stroke.class);
        stroke.getPositions();
        stroke.getPen();
        stroke.getColor();
        stroke.getThickness();

        //return stroke;
    }
}
*/
package org.ntlab.acanthus_client.views.animation;

import androidx.lifecycle.ViewModel;

import org.ntlab.acanthus_client.Acanthus;
import org.ntlab.acanthus_client.entities.Stroke;
import org.ntlab.acanthus_client.resources.gallery.StrokesRest;

import java.util.Collection;

import retrofit2.Call;
import retrofit2.Retrofit;

public class AnimationViewModel extends ViewModel {
    private Retrofit retrofit;
    private Acanthus acanthus;

    // StrokesRestをGETする。
    public void getAnimationStrokes() {
        final StrokesRest strokesRest = retrofit.create(StrokesRest.class);
        Call<Collection<Stroke>> strokes = strokesRest.getStrokes(acanthus.getAid(), 0, 0);
    }

}
